GET /v1/reddit/app/fetch_dynamic_search
Fetch Reddit APP Dynamic Search Results
stable · 2 credits per success
Perform Reddit APP dynamic search, supporting posts, communities, comments, media, and users;query: Search keyword;search_type: Search type, options;- post: Search posts (default);- community: Search communities/subreddits;- comment: Search comments;- media: Search media (images/videos/GIFs);- people: Search users;sort: Sort method (only for post/comment/media types), options;- RELEVANCE: By rele…
Request parameters
| Name | Type | In | Required | Description | Example |
|---|---|---|---|---|---|
| sort | string | query | no | 排序方式(仅适用于post | RELEVANCE |
| after | string | query | no | 分页参数 | demo |
| query | string | query | yes | 搜索关键词 | python programming |
| allow_nsfw | string | query | no | 是否允许NSFW内容 | 0 |
| time_range | string | query | no | 时间范围(仅适用于post | all |
| need_format | boolean | query | no | 是否需要清洗数据 | false |
| safe_search | string | query | no | 安全搜索设置 | unset |
| search_type | string | query | no | 搜索类型 | post |
Response fields
Field dictionary coming soon — the executable panel shows the live shape.
Errors
| code | HTTP | Meaning | Billed |
|---|---|---|---|
| 40001 | 400 | Invalid parameters | no |
| 40102 | 401 | Invalid or revoked API Key | no |
| 40201 | 402 | Insufficient credits | no |
| 40402 | 404 | Resource not found | no |
| 42201 | 422 | Quality gate failed | no |
| 42901 | 429 | Rate limit exceeded | no |
| 50401 | 504 | Upstream timeout | no |
| 50201 | 502 | Upstream error | no |
Billing
Success costs 2 credits. Any failure — including a 200 that fails the quality gate — costs 0.